Bug 678230 - (kmldonkey) Review Request: kmldonkey - Cross-platform graphical user interface for Mldonkey
Review Request: kmldonkey - Cross-platform graphical user interface for Mldonkey
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Zhukov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-02-17 03:35 EST by Dmitrij S. Kryzhevich
Modified: 2011-03-25 03:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: kmldonkey-2.0.5-3.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-24 04:13:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pavel: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dmitrij S. Kryzhevich 2011-02-17 03:35:18 EST
Spec URL: http://krege.fedorapeople.org/kmldonkey/kmldonkey.spec
SRPM URL: http://krege.fedorapeople.org/kmldonkey/kmldonkey-2.0.5-1.fc14.src.rpm
Description: 

Features:
 *Runs wherever KDE software runs.
 *Can handle multiple threads simultaneously.
 *Integrates with several browsers.
 *Can be used with traffic-shaping tools.
 *Can handle several security options.
It supports every protocol mldonkey can work with.

rpmlint kmldonkey-2.0.5-1.fc14.src.rpm kmldonkey-2.0.5-1.fc14.x86_64.rpm kmldonkey-devel-2.0.5-1.fc14.x86_64.rpm 
kmldonkey.src:48: W: rpm-buildroot-usage %build make %{?_smp_mflags} -C %{_target_platform} DESTDIR=%{buildroot}
kmldonkey.x86_64: W: no-manual-page-for-binary kmldonkey
kmldonkey-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

rpm-buildroot-usage: Any other way to install into %buildroot?
no-manual-page-for-binary: not a problem?
no-documentation: no documentation. It does not exist. As for me, I do not see any purpose in -devel bits for kmldoney at all. Still, they are exist.

Note: tarball version mismatch real version. This question was rised a year ago, but nothing changed.
Comment 1 Dmitrij S. Kryzhevich 2011-02-17 03:52:56 EST
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2845990
Comment 2 Dmitrij S. Kryzhevich 2011-02-17 05:20:55 EST
Changelog:
- Fix BR. Move kdebase-workspace-devel in BR to kdebase-workspace in Requires.

Spec URL: http://krege.fedorapeople.org/kmldonkey/kmldonkey.spec
SRPM URL:
http://krege.fedorapeople.org/kmldonkey/kmldonkey-2.0.5-2.fc14.src.rpm
Comment 3 Pavel Zhukov 2011-02-18 00:17:12 EST
I'll review it



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Pavel Zhukov 2011-02-18 11:39:25 EST
  # MUST: rpmlint must be run on the source rpm and all binary rpms the build   produces. The output should be posted in the review.[1]
* OK
  # MUST: The package must be named according to the Package Naming Guidelines .
* OK
  # MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
* OK
# MUST: The package must meet the Packaging Guidelines .
* OK
# MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
* OK (GPLv2+)
# MUST: The License field in the package spec file must match the actual license. [3]
* OK 
# MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
* OK
# MUST: The spec file must be written in American English. [5]
* OK
# MUST: The spec file for the package MUST be legible. [6]
* OK:
# MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. 
* OK
# MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
* OK
# MUST: If the package does not successfully compile
* OK
# MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines
* OK
# MUST: The spec file MUST handle locales properly. 
* OK
# MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
* OK
# MUST: Packages must NOT bundle copies of system libraries.
* OK
# MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. 
* OK
# MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
* OK
# MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
* OK
# MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]
* OK
# MUST: Each package must consistently use macros. [16]
* OK
# MUST: The package must contain code, or permissable content. [17]
* OK
# MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
* OK
# MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
* OK
# MUST: Header files must be in a -devel package. [19]
* OK
# MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
* OK
# MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = 
%{version}-%{release} [21]
* OK
# MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
* OK 
# MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
* OK
# MUST: Packages must not own files or directories already owned by other packages. 
* OK
# MUST: All filenames in rpm packages must be valid UTF-8. [24]
* OK

Please contact upstream for include man page for %{_bindir//kmldonkey}

ACCEPT
This package is approved.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Dmitrij S. Kryzhevich 2011-02-19 00:53:50 EST
Thanks.

New Package SCM Request
=======================
Package Name: kmldonkey
Short Description: Cross-platform graphical user interface for Mldonkey
Owners: krege
Branches: f14 f15
InitialCC:
Comment 6 Jason Tibbitts 2011-02-19 13:42:39 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2011-02-24 05:02:02 EST
kmldonkey-2.0.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kmldonkey-2.0.5-1.fc15
Comment 8 Fedora Update System 2011-02-24 05:02:55 EST
kmldonkey-2.0.5-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kmldonkey-2.0.5-1.fc14
Comment 9 Fedora Update System 2011-02-26 00:16:44 EST
Package kmldonkey-2.0.5-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kmldonkey-2.0.5-3.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/kmldonkey-2.0.5-3.fc15
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2011-02-26 00:17:16 EST
Package kmldonkey-2.0.5-3.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kmldonkey-2.0.5-3.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/kmldonkey-2.0.5-3.fc14
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2011-03-23 18:57:22 EDT
kmldonkey-2.0.5-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2011-03-25 03:03:09 EDT
kmldonkey-2.0.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.